.\"	$NetBSD: arcmsr.4,v 1.7 2008/03/03 15:35:22 xtraeme Exp $
.\"	$OpenBSD: arc.4,v 1.10 2007/11/04 08:18:17 dlg Exp $
.\"
.\" Copyright (c) 2007, 2008 Juan Romero Pardines <xtraeme@netbsd.org>
.\" Copyright (c) 2006 David Gwynne <dlg@openbsd.org>
.\"
.\" Permission to use, copy, modify, and distribute this software for any
.\" purpose with or without fee is hereby granted, provided that the above
.\" copyright notice and this permission notice appear in all copies.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\" WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\" MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\" ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\" WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\" TORTIOUS ACTION, ARISING OUT OF
.\" PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd March 3, 2008
.Dt ARCMSR 4
.Os
.Sh NAME
.Nm arcmsr
.Nd Areca Technology Corporation SATA/SAS RAID controller
.Sh SYNOPSIS
.Cd "arcmsr* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
driver provides support for the PCI-X and PCI Express RAID controllers from
Areca Technology Corporation:
.Pp
.Bl -dash -offset indent -compact
.It
ARC-1110 PCI-X 4 Port SATA RAID Controller
.It
ARC-1110ML PCI-X 4 Port SATA RAID Controller
.It
ARC-1120 PCI-X 8 Port SATA RAID Controller
.It
ARC-1120ML PCI-X 8 Port SATA RAID Controller
.It
ARC-1130 PCI-X 12 Port SATA RAID Controller
.It
ARC-1130ML PCI-X 12 Port SATA RAID Controller
.It
ARC-1160 PCI-X 16 Port SATA RAID Controller
.It
ARC-1160ML PCI-X 16 Port SATA RAID Controller
.It
ARC-1170 PCI-X 24 Port SATA RAID Controller
.It
ARC-1200 Rev A PCI Express 2 Port SATA RAID Controller
.It
ARC-1202 PCI Express 2 Port SATA RAID Controller
.It
ARC-1210 PCI Express 4 Port SATA RAID Controller
.It
ARC-1220 PCI Express 8 Port SATA RAID Controller
.It
ARC-1230 PCI Express 12 Port SATA RAID Controller
.It
ARC-1230ML PCI Express 12 Port SATA RAID Controller
.It
ARC-1231ML PCI Express 12 Port SATA RAID Controller
.It
ARC-1260 PCI Express 16 Port SATA RAID Controller
.It
ARC-1260ML PCI Express 16 Port SATA RAID Controller
.It
ARC-1261ML PCI Express 16 Port SATA RAID Controller
.It
ARC-1280 PCI Express 24 Port SATA RAID Controller
.It
ARC-1280ML PCI Express 24 Port SATA RAID Controller
.It
ARC-1680 PCI Express 8 Port SAS RAID Controller
.It
ARC-1680LP PCI Express 8 Port SAS RAID Controller
.It
ARC-1680i PCI Express 8 Port SAS RAID Controller
.It
ARC-1680x PCI Express 8 Port SAS RAID Controller
.It
ARC-1681 PCI-X 8 Port SAS RAID Controller
.El
.Pp
These controllers support RAID levels 0, 1, 1E, 3, 5, 6, and JBOD
using either SAS or SATA II drives.
.Pp
.Nm
supports management and monitoring of the controller through the
.Xr bioctl 8
and
.Xr envstat 8
commands.
.Pp
Please note, however, that to use some features that require special
privileges, such as creating/removing hot-spares, pass-through disks
or RAID volumes will require to have the
.Em password
disabled in the firmware; otherwise a
.Em Permission denied
error will be reported by
.Xr bioctl 8 .
.Pp
When a RAID 1 or 1+0 volume is created, either through the
.Xr bioctl 8
command or controller's firmware, the volume won't be accessible until
the initialization is done.
A way to get access to the
.Xr sd 4
device that corresponds to that volume without rebooting, is to issue
the following command (once the initialization is finished):
.Bd -literal
$ scsictl scsibus0 scan any any
.Ed
.Pp
The
.Nm
driver will also report to the kernel log buffer any error that might
appear when handling firmware commands, such as used by the
.Xr bioctl 8
command.
.Sh EVENTS
The
.Nm
driver is able to send events to
.Xr powerd 8
if a volume or any drive connected to the volume is not online.
The
.Em state-changed
event will be sent to the
.Pa /etc/powerd/scripts/sensor_drive
script when such condition happens.
.Sh SEE ALSO
.Xr intro 4 ,
.Xr pci 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr bioctl 8 ,
.Xr envstat 8 ,
.Xr powerd 8 ,
.Xr scsictl 8
.Sh HISTORY
The
.Nm
driver first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An -nosplit
The
.Nm
driver was originally written for
.Ox
by
.An David Gwynne .
It was ported to
.Nx
and extended by
.An Juan Romero Pardines .
